# gCubeActions

Starting from a list of git projects and a Bash fragment, for each project, this Jenkins pipeline:
 * clone the git repository
 * execs the Bash fragment in the root folder of the repository
 * pushes back the repository using `git.gcube` as author.

## Requirements
* [Jenkins](https://jenkins.io/) ver. 2.164.2 or newer
* [Pipeline plugin](https://wiki.jenkins.io/display/JENKINS/Pipeline+Plugin) ver. 2.5 or newer
* [Pipeline: SCM Step plugin](https://plugins.jenkins.io/workflow-scm-step) ver. 2.7 or newer
* [Pipeline: Shared Groovy Libraries](https://plugins.jenkins.io/workflow-cps-global-lib) ver. 2.15 or newer
* User credentials configured on Jenkins. These are needed to set the author of the tag.

## Sample Usage

### List of Repositories

### Bash Fragments

TBP

## References
* [Pipeline as code](https://jenkins.io/doc/book/pipeline-as-code/)
* [Pipeline Syntax](https://jenkins.io/doc/book/pipeline/syntax/)
* [Shared Libraries](https://jenkins.io/doc/book/pipeline/shared-libraries/)
* [SCM Step](https://jenkins.io/doc/pipeline/steps/workflow-scm-step/)

## Wiki doc
* [CI: gCube Actions Pipeline](https://wiki.gcube-system.org/gcube/Continuous_Integration:_Actions_Jenkins_Pipeline)

## License
This project is licensed under the [EUPL V.1.1 License](LICENSE.md).